"""
jlp
~~~~~~~~~

:copyright: (c) 2013 Canonical Ltd
:license: GPLv2

"""

__name__ = 'jlp'
__version__ = '0.1'
__author__ = 'Martin Mrazik'


from .socketlock import SocketLock
assert SocketLock  # silence pyflakes
from .jsonjenkins import JSONJenkins
assert JSONJenkins  # silence pyflakes
from .branch import Branch
assert Branch  # silence pyflakes
from .bzrrecipe import BzrRecipe
assert BzrRecipe  # silence pyflakes
from .mergeproposalreview import MergeProposalReview
assert MergeProposalReview  # silence pyflakes
from .launchpadagent import get_launchpad
assert get_launchpad  # silence pyflakes
from .dputrunner import DputRunner
assert DputRunner
import settings

_json_jenkins = None


def get_json_jenkins():
    global _json_jenkins
    if _json_jenkins is not None:
        return _json_jenkins
    _json_jenkins = JSONJenkins(settings.JENKINS_URL,
                                settings.JENKINS_USER,
                                settings.JENKINS_PASSWORD)
    return _json_jenkins
