from unittest import TestCase
from jlp import get_json_jenkins
from mock import patch


class TestGetJsonJenkins(TestCase):
    json_jenkins = object()

    @patch('jlp._json_jenkins', new=json_jenkins)
    def test_get_json_jenkins_subsequent_time(self):
        """Existing JSONJenkins class must be returned when calling
        get_json_jenkins 2+ time"""
        ret = get_json_jenkins()
        self.assertEquals(ret, self.json_jenkins)

    @patch('jlp._json_jenkins', new=None)
    @patch('jlp.JSONJenkins')
    def test_get_json_jenkins_first_time(self, json_jenkins):
        """Test that json_jenkins is returned when get_json_jenkins is called
        for the first time"""
        ret = get_json_jenkins()
        self.assertEquals(json_jenkins.call_count, 1)
        self.assertIsNotNone(ret)
